Skip to content

par: OPERA Cloud Price Availability Rate API

28 operations from Oracle’s published OHIP specifications (26.3.0.0). Each shows its HTTP method and path and the typed call on ctx.Ohip.Api. hotelId defaults to the invocation’s hotel.

Analyze Rate Availability

GET /par/v1/hotels/{hotelId}/analyzeRateAvailability · hotel-scoped · deprecated

Task<RateAnalysisDetails?> ctx.Ohip.Api.Par.AnalyzeRateAvailabilityAsync(string? hotelId = null, Action<AnalyzeRateAvailabilityRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Clear all Restrictions

PUT /par/v1/hotels/{hotelId}/restrictions · hotel-scoped

Task<ClearAllRestrictions?> ctx.Ohip.Api.Par.ClearAllRestrictionsAsync(ClearAllRestrictions body, string? hotelId = null, CancellationToken ct = default)

Delete Hurdle Rates

DELETE /par/v1/hotels/{hotelId}/hurdles · hotel-scoped

Task<Status?> ctx.Ohip.Api.Par.DeleteHurdleRatesAsync(string? hotelId = null, Date?[]? hurdleDate = null, Date?[]? hurdleRangeEnd = null, Date?[]? hurdleRangeStart = null, double?[]? lengthOfStay = null, string[]? roomCategory = null, string[]? roomType = null, string[]? yieldCategory = null, string[]? yieldMarketCode = null, CancellationToken ct = default)

Delete a Restriction

DELETE /par/v1/hotels/{hotelId}/restrictions/{restrictionId} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Par.DeleteRestrictionAsync(string restrictionId, string? hotelId = null, string? bookingChannelCode = null, string? ratePlanCategory = null, string? ratePlanCode = null, Date? restrictionEndDate = null, Date? restrictionStartDate = null, string? roomClass = null, string? roomType = null, CancellationToken ct = default)

Get Alternate Availability

GET /par/v1/hotels/{hotelId}/availability/alternate · hotel-scoped · deprecated

Task<AlternateAvailability?> ctx.Ohip.Api.Par.GetAlternateAvailabilityAsync(string? hotelId = null, Action<AlternateRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get Rate Plan Information

GET /par/v1/hotels/{hotelId}/rates/{ratePlanCode} · hotel-scoped

Task<AvailabilityRatePlanInfo?> ctx.Ohip.Api.Par.GetAvailabilityRatePlanInfoAsync(string ratePlanCode, string? hotelId = null, string[]? ratePlanCodeList = null, CancellationToken ct = default)

getAvailabilityRatePlanInfoByMultipleRatePlans

Section titled “getAvailabilityRatePlanInfoByMultipleRatePlans”

Get the Rate Plan Information

GET /par/v1/hotels/{hotelId}/rates · hotel-scoped

Task<AvailabilityRatePlanInfo?> ctx.Ohip.Api.Par.GetAvailabilityRatePlanInfoByMultipleRatePlansAsync(string? hotelId = null, string[]? ratePlanCodeList = null, CancellationToken ct = default)

Get for Available Up-sells

GET /par/v1/hotels/{hotelId}/availableUpsells · hotel-scoped

Task<AvailableUpsells?> ctx.Ohip.Api.Par.GetAvailableUpsellsAsync(string? hotelId = null, Action<AvailableUpsellsRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Yield Market Type LookUp.

GET /par/v1/hotels/{hotelId}/yieldMarketType · hotel-scoped

Task<YieldMarketTypeDetails?> ctx.Ohip.Api.Par.GetExternalYieldMarketTypeAsync(string? hotelId = null, string? membershipId = null, CancellationToken ct = default)

Get Hotel Availability

GET /par/v1/hotels/{hotelId}/availability · hotel-scoped · deprecated

Task<HotelAvailability?> ctx.Ohip.Api.Par.GetHotelAvailabilityAsync(string? hotelId = null, Action<AvailabilityRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get Hotel Availability

GET /par/v1/availability · chain-level · deprecated

Task<HotelAvailability?> ctx.Ohip.Api.Par.GetHotelAvailabilityCROAsync(Action<AvailabilityRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Search hotels for the sales process

GET /par/v1/hotels · chain-level

Task<SearchHotelsDetails?> ctx.Ohip.Api.Par.GetHotelsAsync(Action<HotelsRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get Hurdle Rates

GET /par/v1/hotels/{hotelId}/hurdles · hotel-scoped

Task<HurdleRates?> ctx.Ohip.Api.Par.GetHurdleRatesAsync(string? hotelId = null, Date? hurdleDate = null, Date? hurdleRangeEnd = null, Date? hurdleRangeStart = null, int? limit = null, int? offset = null, string[]? roomTypesCode = null, string? wildCard = null, CancellationToken ct = default)

Get multiple property Hurdle Rates

GET /par/v1/hurdles · chain-level

Task<HurdleRates?> ctx.Ohip.Api.Par.GetMultiPropHurdleRatesAsync(string[]? hotelIds = null, Date? hurdleDate = null, Date? hurdleRangeEnd = null, Date? hurdleRangeStart = null, int? limit = null, int? offset = null, string[]? roomTypesCode = null, string? wildCard = null, CancellationToken ct = default)

Get Reservation Guarantee

GET /par/v1/hotels/{hotelId}/guarantees · hotel-scoped

Task<ReservationGuaranteesPolicies?> ctx.Ohip.Api.Par.GetReservationGuaranteesAsync(string? hotelId = null, Action<GuaranteesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get the Restrictions

GET /par/v1/hotels/{hotelId}/restrictions · hotel-scoped

Task<RestrictionsByDateRange?> ctx.Ohip.Api.Par.GetRestrictionsByDateRangeAsync(string? hotelId = null, Action<RestrictionsRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get the Restriction history

GET /par/v1/hotels/{hotelId}/restrictionsHistory · hotel-scoped

Task<RestrictionsHistory?> ctx.Ohip.Api.Par.GetRestrictionsHistoryAsync(string? hotelId = null, Action<RestrictionsHistoryRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get the Availability Service version

GET /par/v1/services/availability/status · chain-level

Task<OperaVersion?> ctx.Ohip.Api.Par.PingAvailabilityServiceAsync(CancellationToken ct = default)

Create Hurdle Rates

POST /par/v1/hotels/{hotelId}/hurdles · hotel-scoped

Task<Status?> ctx.Ohip.Api.Par.PostHurdleRatesAsync(CreateHurdleRates body, string? hotelId = null, CancellationToken ct = default)

Create a Restriction

POST /par/v1/hotels/{hotelId}/restrictions · hotel-scoped

Task<Status?> ctx.Ohip.Api.Par.PostRestrictionAsync(CreateRestriction body, string? hotelId = null, CancellationToken ct = default)

Change Hurdle Rates

PUT /par/v1/hotels/{hotelId}/hurdles · hotel-scoped

Task<ChangeHurdleRatesDetails?> ctx.Ohip.Api.Par.PutHurdleRatesAsync(ChangeHurdleRates body, string? hotelId = null, CancellationToken ct = default)

Create/Change Hurdle Rates

PUT /par/v1/upsert/hotels/{hotelId}/hurdles · hotel-scoped

Task<ChangeHurdleRatesDetails?> ctx.Ohip.Api.Par.PutUpsertHurdleRatesAsync(ChangeHurdleRates body, string? hotelId = null, CancellationToken ct = default)

External Control Segment Lookup

POST /par/v1/externalControlSegment · chain-level

Task<ExternalControlSegmentDetails?> ctx.Ohip.Api.Par.RetriveExternalControlSegmentAsync(ExternalControlSegmentCriteria body, CancellationToken ct = default)

Get Alternate Availability

POST /par/v1/hotels/{hotelId}/availability/alternate/searches · hotel-scoped

Task<AlternateAvailability?> ctx.Ohip.Api.Par.SearchAlternateAvailabilityAsync(SearchAlternateAvailabilityRequest body, string? hotelId = null, CancellationToken ct = default)

Analyze Rate Availability

POST /par/v1/hotels/{hotelId}/analyzeRateAvailability/searches · hotel-scoped

Task<RateAnalysisDetails?> ctx.Ohip.Api.Par.SearchAnalyzeRateAvailabilityAsync(SearchAnalyzeRateAvailabilityRequest body, string? hotelId = null, CancellationToken ct = default)

Get Hotel Availability

POST /par/v1/hotels/{hotelId}/availability/searches · hotel-scoped

Task<HotelAvailability?> ctx.Ohip.Api.Par.SearchHotelAvailabilityAsync(SearchHotelAvailabilityRequest body, string? hotelId = null, CancellationToken ct = default)

Get Hotel Availability

POST /par/v1/availability/searches · chain-level

Task<HotelAvailability?> ctx.Ohip.Api.Par.SearchHotelAvailabilityCROAsync(SearchHotelAvailabilityCRORequest body, CancellationToken ct = default)

Get Reservation Guarantee

PUT /par/v1/hotels/{hotelId}/validateGuarantees · hotel-scoped

Task<ReservationGuaranteesPolicies?> ctx.Ohip.Api.Par.ValidateReservationGuaranteesAsync(ValidateReservationGuarantees body, string? hotelId = null, CancellationToken ct = default)